Package owl.factories

## Interface ValuationSetFactory

-     public interface ValuationSetFactory

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<String>` | `alphabet()` |
    `default int` | `alphabetSize()` |
    `BitSet` | `any​(ValuationSet set)` |
    `ValuationSet` | `complement​(ValuationSet set)` |
    `boolean` | `contains​(ValuationSet set, BitSet valuation)` |
    `boolean` | `contains​(ValuationSet set, ValuationSet other)` |
    `ValuationSet` | `empty()` |
    `default void` | `forEach​(Consumer<BitSet> action)` |
    `void` | `forEach​(ValuationSet set, BitSet restriction, Consumer<BitSet> action)` |
    `void` | `forEach​(ValuationSet set, Consumer<BitSet> action)` |
    `default ValuationSet` | `intersection​(Iterable<ValuationSet> sets)` |
    `ValuationSet` | `intersection​(Iterator<ValuationSet> sets)` |
    `ValuationSet` | `intersection​(ValuationSet set1, ValuationSet set2)` |
    `boolean` | `intersects​(ValuationSet set, ValuationSet other)` |
    `default ValuationSet` | `minus​(ValuationSet set1, ValuationSet set2)` |
    `ValuationSet` | `of​(BitSet valuation)` |
    `ValuationSet` | `of​(BitSet valuation, BitSet restrictedAlphabet)` |
    `jhoafparser.ast.BooleanExpression<jhoafparser.ast.AtomLabel>` | `toExpression​(ValuationSet set)` |
    `default ValuationSet` | `union​(Iterable<ValuationSet> sets)` |
    `ValuationSet` | `union​(Iterator<ValuationSet> sets)` |
    `ValuationSet` | `union​(ValuationSet set1, ValuationSet set2)` |
    `ValuationSet` | `universe()` |

- - ### Method Detail

    - #### alphabet

          List<String> alphabet()

    - #### alphabetSize

          default int alphabetSize()

    - #### of

          ValuationSet of​(BitSet valuation)

    - #### of

          ValuationSet of​(BitSet valuation,
                          BitSet restrictedAlphabet)

    - #### empty

          ValuationSet empty()

    - #### universe

          ValuationSet universe()

    - #### complement

          ValuationSet complement​(ValuationSet set)

    - #### forEach

          default void forEach​(Consumer<BitSet> action)

    - #### any

          BitSet any​(ValuationSet set)

    - #### contains

          boolean contains​(ValuationSet set,
                           BitSet valuation)

    - #### contains

          boolean contains​(ValuationSet set,
                           ValuationSet other)

    - #### intersects

          boolean intersects​(ValuationSet set,
                             ValuationSet other)

    - #### forEach

          void forEach​(ValuationSet set,
                       Consumer<BitSet> action)

    - #### forEach

          void forEach​(ValuationSet set,
                       BitSet restriction,
                       Consumer<BitSet> action)

    - #### intersection

          ValuationSet intersection​(ValuationSet set1,
                                    ValuationSet set2)

    - #### intersection

          default ValuationSet intersection​(Iterable<ValuationSet> sets)

    - #### intersection

          ValuationSet intersection​(Iterator<ValuationSet> sets)

    - #### union

          ValuationSet union​(ValuationSet set1,
                             ValuationSet set2)

    - #### union

          default ValuationSet union​(Iterable<ValuationSet> sets)

    - #### union

          ValuationSet union​(Iterator<ValuationSet> sets)

    - #### minus

          default ValuationSet minus​(ValuationSet set1,
                                     ValuationSet set2)

    - #### toExpression

          jhoafparser.ast.BooleanExpression<jhoafparser.ast.AtomLabel> toExpression​(ValuationSet set)